# Uses of Interface
org.apache.sling.discovery.base.connectors.announcement.AnnouncementRegistry

Packages that use AnnouncementRegistry
Package
Description
org.apache.sling.discovery.base.commons
Provides some common classes for discovery implementors that choose to extend from discovery.base
org.apache.sling.discovery.base.connectors.announcement
Provides topology announcement implementations for discovery implementors that choose to extend from discovery.base
org.apache.sling.discovery.base.connectors.ping
Provides topology connector implementations for discovery implementors that choose to extend from discovery.base

## Uses of AnnouncementRegistry in org.apache.sling.discovery.base.commons

Methods in org.apache.sling.discovery.base.commons that return AnnouncementRegistry
Modifier and Type
Method
Description
`protected abstract AnnouncementRegistry`
BaseDiscoveryService.`getAnnouncementRegistry()`
`protected abstract AnnouncementRegistry`
BaseViewChecker.`getAnnouncementRegistry()`

## Uses of AnnouncementRegistry in org.apache.sling.discovery.base.connectors.announcement

Classes in org.apache.sling.discovery.base.connectors.announcement that implement AnnouncementRegistry
Modifier and Type
Class
Description
`class`
`AnnouncementRegistryImpl`
Default implementation of the AnnouncementRegistry which handles JSON-backed announcements and does so by storing them in a local like /var/discovery/impl/clusterNodes/$slingId/announcement.

## Uses of AnnouncementRegistry in org.apache.sling.discovery.base.connectors.ping

Methods in org.apache.sling.discovery.base.connectors.ping with parameters of type AnnouncementRegistry
Modifier and Type
Method
Description
`static ConnectorRegistry`
ConnectorRegistryImpl.`testConstructor(AnnouncementRegistry announcementRegistry, BaseConfig config)`